const colorRamdom = () => {
    const colors = [
        { color: "bg-red-500", text: "text-white" },
        { color: "bg-green-500", text: "text-white" },
        { color: "bg-blue-500", text: "text-white" },
        { color: "bg-yellow-500", text: "text-white" },
        { color: "bg-purple-500", text: "text-white" },
        { color: "bg-orange-500", text: "text-white" },
        { color: "bg-pink-500", text: "text-white" },
        { color: "bg-gray-500", text: "text-white" },
        { color: "bg-teal-500", text: "text-white" },
        { color: "bg-lime-500", text: "text-white" },
    ];

    return colors[Math.floor(Math.random() * colors.length)];
}
export const profileIconSize = (name:string, size:number = 12) => {
    let label = '';
    if (!name){
        label = '';
    }else{
        label = name.charAt(0).toUpperCase();
    }
    const { color, text } = colorRamdom();
    return (
        <div className={`size-${size} rounded-full flex justify-center items-center ${color}`}>
            <span className={`${text} text-xl`}>
                {label}
            </span>
        </div>
    )
}